PLASMA 2.8.0 PLASMA - Parallel Linear Algebra for Scalable Multi-core Architectures

- Main Page
- Modules
- Data Types List

int CORE_cpltmg_chebvand | ( | int | M,
|  | int | N,
|  | PLASMA_Complex32_t * | A,
|  | int | LDA,
|  | int | gN,
|  | int | m0,
|  | int | n0,
|  | PLASMA_Complex32_t * | W
| ) |  |

CORE_cpltmg_chebvand is a kernel used in Vandermonde-like matrix generation

See http://www.mathworks.fr/fr/help/matlab/ref/gallery.html#f84-999859

Vandermonde-like matrix for the Chebyshev polynomials

Produces the (primal) Chebyshev Vandermonde matrix based on the vector of points p, which define where the Chebyshev polynomial is calculated.

If seed != 0, C(i,j) = Ti – 1(p(j)) where Ti – 1 is the Chebyshev polynomial of degree i – 1, and p is a vector of N equally spaced points on the interval [0,1].

Parameters

  [in] | M | The number of rows of the tile A to initialize. M >= 2.
  [in] | N | The number of columns of the tile A to initialize. N >= 0.
  [out] | A | On entry, the M-by-N tile to be initialized. On exit, each element of A is defined by: A(i,j) = Ti – 1(p(j)) where Ti – 1 is the Chebyshev polynomial of degree i – 1
  [in] | LDA | The leading dimension of the tile A. LDA >= max(1,M).
  [in] | gN | The global number of columns of the full matrix, A is belonging to. gN >= (n0+gN).
  [in] | m0 | The index of the first row of tile A in the full matrix. m0 >= 0.
  [in] | n0 | The index of the first column of tile A in the full matrix. n0 >= 0.
  [in] | gN | The global number of columns of the full matrix, A is belonging to. gN >= (n0+gN).
  [in,out] | W | Workspace of size 2-by-N, that contains the N triplets: ( A( m0-2, j), A(m0-1, j) ) On entry, if m == 0, W is uinitialized, otherwise contains the data described above. On exit, contains the triplets ( A(m0+M-2, j), A(m0+M-1, j) )

Returns

Return values

  PLASMA_SUCCESS | successful exit
  <0 | if INFO = -k, the k-th argument had an illegal value